@charset "utf-8";
/* CSS Document */

a, abbr, acronym, address, applet, article, aside, audio, b, big, blockquote, body, caption, canvas, center, cite, code,
dd, del, details, dfn, dialog, div, dl, dt, em, embed, fieldset, figcaption, figure, form, footer, header, hgroup, h1, h2, h3, h4, h5, h6, html, i, iframe, img, ins, kbd, label, 
 legend, li, mark, menu, nav,object, ol, output, p, pre, q, ruby, s, samp, section, small, span, strike, strong, sub, summary, sup, tt, table, tbody, textarea, tfoot, thead, 
  time, tr, th, td, u, ul, var, video { 
	margin: 0; 
	padding: 0; 
}

img
{
	image-rendering: crisp-edges;
	image-rendering: -moz-crisp-edges;
	image-rendering: -o-crisp-edges;
	image-rendering: -webkit-optimize-contrast;
}

html, body{
    margin: 0;
	padding: 0;
}

body{
	background-image: url(../img/background-bk.jpg);
	background-repeat: no-repeat;
    background-position: top center;
    background-size: cover;
    background-attachment: fixed;

     
}

/*左logo簡略說明-*/
.computer-logo{
    width: 357px;
    position: fixed;
    left: 5%;
    top: 40%;
    z-index: 10;
}
.computer-logo img{
    max-width: 357px;
    width: 100%;
    height: auto;
}
/*------------*/

.ui_hover{
	opacity:0.5;
}

/*右icon-award*/
.best-award{
    width: 279px;
    position: fixed;
    right: 0;
    top: 35%;
    z-index: 11;  
}
.best-award img{
    max-width: 279px;
    width: 100%;
    height: auto; 
}
/*------------*/


/*右-上下移動icon-*/
.top-down-ex{
	width: 173px;
    position: fixed;
    right: 22%;
    top: 40%;
    z-index: 12; 	
}
.top-down-ex img{
	max-width: 173px;
	width: 100%;
	height: auto;
}
/*------------*/




/*------手機區域設定------------*/

/*------手機區域外框------------*/
.main-container-outside{
    width: 100%;
    display: block;
    left: 0;
	top: 0;
	position: fixed;   
}

/*------手機區域內置中框-------*/
.center-container-box{
    width: 549px;
    display: block;
	margin: 0 auto;
}

/*------內置中框之外框-related------*/
.main-content{
    width: 100%;
	position: relative;
	left: 0;
	top: 0;
	z-index: 20;
}

/*------手機圖片-當背景-----*/
.outside-iphone-pic{
    width: 100%;
	position: absolute;
	left: 0;
	top: 0;
	z-index: 22;
}
.outside-iphone-pic img{
    max-width: 549px;
	width: 100%;
	height: auto
}




/*------手機圖片-置中的內容-----*/

/*------外框----*/
.iphone-inner-out-block{
    width: 100%;
	position: absolute;
	left: 0;
	top: 0;
	z-index: 24;
}  

/*------內框-按414px除於原圖尺寸百分比-置中--*/
.iphone-inner-center-box{
	width: 75.40983606557377%;
	margin: 110px auto 0 auto;
	display: block;
}

/*------內框-按414px除於原圖尺寸百分比-置中--*/
.iphone-content-box{
	width: 100%;
	height: 736px;
	left: 0;
	top: 0;
	position: relative;
	background: #fff6e9;
    z-index: 35;
	overflow: hidden;  
}

/*---手機中間內部的底圖-----*/
.bk-ground-ip{
	width: 100%;
	left: 0;
	top: 0;
	position: absolute;
	z-index: 30;	
	line-height: 0px;
}    
.bk-ground-ip img{
	max-width: 100%;
	width: 100%;
	height: auto;
} 


.logo{
	width: 25.84541062801932%;
	left: 0;
	right: 0;
	position: absolute;
	z-index: 34;
	margin: auto !important;
	top: 13px;
}  
.logo img{
	max-width: 107px;
	width: 100%;
	height: auto;
}

.product-point{
	width: 25.1207729468599%;
	position: absolute;
	z-index: 100;
}
.product-point img{
	max-width: 104px;
	width: 100%;
	height: auto;
}
.product-box{
	width: 52.65700483091787%;
	position: absolute;
	z-index: 100;
	margin: auto;
	left: 0;
	right: 0;
	top: 30%;
}
.product-box-inner{
	width:100%;
	position: relative;
	z-index: 101;
	display: block;
	float: left;
}
.inner-box-bk{
	width: 100%;
	position: absolute;
	left: 0;
	top: 0;
	z-index: 102;
}
.gift1{
	width: 42%;
	position: absolute;
	left: 13%;
	z-index: 103;
	margin-top: 28px;
}
.gift2{
	width: 42%;
	position: absolute;
	right: 5%;
	z-index: 104;
	margin-top: 28px;
}
.gift3{
	width: 42%;
	position: absolute;
	left: 13%;
	z-index: 105;
    top: 138px;
}
.gift4{
	width: 42%;
	position: absolute;
	right: 5%;
	z-index: 104;
	top: 138px;
}
.speed-ain-ctrl{
   animation: flash-button 0.5s ease-in;
}
.speed-ain-ctrl-2{
   animation: flash-button 0.7s ease-in;
}
.speed-ain-ctrl-3{
   animation: flash-button 0.9s ease-in;
}



.ani-as1{
   
	left: 5%;
	top: 5%;
	cursor: pointer;
}
.ani-as2{
	left: 0;
	right: 0;
	margin: auto;
	top:15%;
	cursor: pointer;
}
.ani-as3{
	right: 5%;
	top:5%;
	cursor: pointer;
}
.ani-as4{
	left: 0%;
	top: 24%;
	cursor: pointer;
}
.ani-as5{
	right: 0%;
	top: 28%;
	cursor: pointer;
}
.ani-as6{
	left: 2%;
	top: 44%;
	cursor: pointer;
}
.ani-as7{
	right: 0%;
	top: 52%;
	cursor: pointer;
}
.ani-as8{
	left: 3%;
	top: 65%;
	cursor: pointer;
}
.ani-as9{
	left: 0;
	right: 0;
	margin: auto;
	bottom:18%;
	cursor: pointer;
}
.ani-as10{
	left: 6%;
	bottom: 3%;
	cursor: pointer;
}
.ani-as11{
	right: 1%;
	bottom: 7%;
	cursor: pointer;
}
.point-flash img{
	max-width: 50px;
    width: 100%;
	height: auto;
}
@keyframes flash-button{
	0%{
     -webkit-transform: scale(1);
     -moz-transform: scale(1);
     -o-transform: scale(1);
     transform: scale(1);	
		
	}
	30%{
     -webkit-transform: scale(1.3);
     -moz-transform: scale(1.3);
     -o-transform: scale(1.3);
     transform: scale(1.3);	
	}
	60%{
     -webkit-transform: scale(0.8);
     -moz-transform: scale(0.8);
     -o-transform: scale(0.8);
     transform: scale(0.8);	
	}		
	90%{
     -webkit-transform: scale(1);
     -moz-transform: scale(1);
     -o-transform: scale(1);
     transform: scale(1);	
	}
	100%{
     -webkit-transform: scale(1);
     -moz-transform: scale(1);
     -o-transform: scale(1);
     transform: scale(1);	
	}	
}

.counter-box{
	width: 185px;
	left: 5%;
	top: 4%;
	position: absolute;
	z-index: 120;
}
.counter-box ul{
	width: 100%;
	display: block;
	float: left;
	list-style-type: none;
}
.counter-box ul li{
	width: 100%;
	display: block;
	float: left;
	list-style-type: none;
    font-family: 'Noto Sans TC', sans-serif;
	font-size: 22px;
}
.cell-box1{
	width: 25%;
	display: block;
	float: left;
	margin-right: 5%;
	color: #000;
}
.cell-box2{
	width: 45%;
	display: block;
	float: left;
	color: #fff;
	text-align: center;
	border-radius: 50px;
}
.cell-box3{
	width: 20%;
	margin-left: 5%;
	display: block;
	float: left;
	color: #000;
}
.inter-height-ctrl{
	line-height: 40px;
	margin-bottom: 12px;
}
.color-change-bk{
   background: #0a9e48;
}
.color-change-bk-2{
   background: #ffe236;
}




.head-face-change{
	width: 35%‬;
	position: absolute;
	right: 3%;
	top: 10px;
	z-index: 99;
    animation: infinite rot-swing 1s ease;
     -webkit-transform: translate(0,0);
     -moz-transform:translate(0,0);
     -o-transform:translate(0,0);
     transform:translate(0,0);		
}
.head-face-change img{
	width: 100%‬;
	max-width: 146px; 
	height: auto;
}
@keyframes rot-swing{
	0%{
     -webkit-transform: translate(0,0);
     -moz-transform:translate(0,0);
     -o-transform:translate(0,0);
     transform:translate(0,0);	
		
	}
	50%{

     -webkit-transform: translate(0,20px);
     -moz-transform: translate(0,20px);
     -o-transform:translate(0,20px);
     transform: translate(0,20px);	
	}
	100%{

     -webkit-transform: translate(0,0);
     -moz-transform:translate(0,0);
     -o-transform: translate(0,0);
     transform: translate(0,0);	
	}
}
@media only screen and (max-width : 1920px){
}
@media only screen and (max-width : 1680px){
}
@media only screen and (max-width : 1440px){
.computer-logo{
    width: 280px;
    left: 5%;
    top: 39%;
}
.best-award{
    width: 230px;
    right: 0;
    top: 34%;
}
.top-down-ex{
	width: 160px;
    right: 21%;
    top: 40%;	
}
.center-container-box{
    width: 414px;
	margin: 0 auto;
}
.iphone-inner-center-box{
	width: 100%;
	margin: 20px auto 0 auto;
	-webkit-transform: translate(0px,0);
	-moz-transform: translate(0px,0);
	-o-transform: translate(0px,0);
	transform: translate(0px,0);	
}
.iphone-content-box{
	width: 100%;
	height: 736px; 
}
.bottom-button{
	width: 59.66183574879227%;
	bottom: 40px;
}
.counter-box{
	width: 185px;
	left: 2%;
	top: 2%;
	position: absolute;
	z-index: 120;
	transform: scale(0.8);
	-o-transform: scale(0.8);
	-moz-transform: scale(0.8);
	-webkit-transform: scale(0.8);
}
.wied{
     -webkit-transform: scale(0.8);
     -moz-transform:scale(0.8);
     -o-transform:scale(0.8);
     transform:scale(0.8);		
}
.head-face-change{
	right: 0%;
	top: 0px;
	
}
}
@media only screen and (max-width : 1366px){
.computer-logo{
    width: 250px;
    left: 5%;
    top: 39%;
}
.best-award{
    width: 215px;
    right: 0;
    top: 34%;
}
.top-down-ex{
	width: 150px;
    right: 21%;
    top: 40%;	
}
	
.center-container-box{
    width: 370px;
	margin: 0 auto;
}
.iphone-inner-center-box{
	width: 100%;
	margin: 0px auto 0 auto;
	-webkit-transform: translate(0px,0);
	-moz-transform: translate(0px,0);
	-o-transform: translate(0px,0);
	transform: translate(0px,0);	
}
.iphone-content-box{
	width: 100%;
	/* height: 690px;  */
	height: 658px; 
}
.bottom-button{
	width: 59.66183574879227%;
	bottom: 40px;
}
.counter-box{
	width: 185px;
	left: -2%;
	top: -2%;
	position: absolute;
	z-index: 120;
	transform: scale(0.7);
	-o-transform: scale(0.7);
	-moz-transform: scale(0.7);
	-webkit-transform: scale(0.7);
}
.wied{
     -webkit-transform: scale(0.8);
     -moz-transform:scale(0.8);
     -o-transform:scale(0.8);
     transform:scale(0.8);		
}
.head-face-change{
	right: -2%;
	top: -2%;	
}
.product-box{
	transform: scale(0.9) translate(-10px,0);
	-o-transform: scale(0.9) translate(-10px,0);
	-mz-transform: scale(0.9) translate(-10px,0);
	-webkit-transform: scale(0.9) translate(-10px,0);
	}
}
@media only screen and (max-width : 1280px){
.center-container-box{
    width: 390px;
	margin: 0 auto;
}
.iphone-content-box{
	width: 100%;
	height: 690px; 
} 
}
@media only screen and (max-width : 1024px){
 .computer-logo{
    width: 220px;
    left: 5%;
    top: 39%;
}
.best-award{
    width: 180px;
    right: 0;
    top: 34%;
}
.top-down-ex{
	width: 130px;
    right: 19%;
    top: 40%;	
}
}
@media only screen and (max-width : 900px){
.computer-logo{
	 display: none;
}
.best-award{
 display: none;
}
.top-down-ex{
 display: none;	
}
.center-container-box{
    width: 549px;
	margin: 0 auto;
}
.iphone-content-box{
	width: 100%;
	height: 736px; 
}
.iphone-inner-center-box{
	width: 75.40983606557377%;
	margin: 111px auto 0 auto;
	-webkit-transform: translate(0px,0);
	-moz-transform: translate(0px,0);
	-o-transform: translate(0px,0);
	transform: translate(0px,0);	
}
.counter-box{
	width: 185px;
	left: 3%;
	top: 3%;
	position: absolute;
	z-index: 120;
	transform: scale(1);
	-o-transform: scale(1);
	-moz-transform: scale(1);
	-webkit-transform: scale(1);
}
.wied{
     -webkit-transform: scale(1);
     -moz-transform:scale(1);
     -o-transform:scale(1);
     transform:scale(1);		
}
.head-face-change{
	right: 2%;
	top: 2%;
	
}
	.product-box{
	transform: scale(1) translate(0,0);
	-o-transform: scale(1) translate(0,0);
	-mz-transform: scale(1) translate(0,0);
	-webkit-transform: scale(1) translate(0,0);
	}
}
@media only screen and (max-width : 480px){
.outside-iphone-pic{
    display: none;
}
.center-container-box{
    width: 414px;
	margin: 0 auto;
}
.iphone-inner-center-box{
	width: 100%;
	margin: 20px auto 0 auto;
	-webkit-transform: translate(0,0);
	-moz-transform: translate(0,0);
	-o-transform: translate(0,0);
	transform: translate(0,0);	
}
.main-container-outside{
	position: absolute;   
}
}
@media only screen and (max-width : 414px){
.center-container-box{
    width: 100%;
	margin: 0 auto;
}
.iphone-inner-center-box{
	margin: 0 auto 0 auto;
}
.bottom-button{
	width: 59.66183574879227%;
	bottom: 70px;
}
body{
    overflow: auto;
    background-image: none;
}
.counter-box{
	width: 185px;
	left: 7%;
	top: 4%;
	position: absolute;
	z-index: 120;
	transform: scale(1);
	-o-transform: scale(1);
	-moz-transform: scale(1);
	-webkit-transform: scale(1);
}
.wied{
     -webkit-transform: scale(1);
     -moz-transform:scale(1);
     -o-transform:scale(1);
     transform:scale(1);		
}
.head-face-change{
	right: 2%;
	top: 2%;	
}
.counter-box{
	width: 185px;
	left: 5%;
	top: 4%;
	position: absolute;
	z-index: 120;
	transform: scale(0.9);
	-o-transform: scale(0.9);
	-moz-transform: scale(0.9);
	-webkit-transform: scale(0.9);
	}
}
@media only screen and (max-width : 375px){
.bottom-button{
	width: 55%;
	bottom: 70px;
}
.iphone-content-box{
	width: 100%;
	height: 667px; 
}
.counter-box{
	width: 185px;
	left: 3.5%;
	top: 4%;
	position: absolute;
	z-index: 120;
	transform: scale(0.9);
	-o-transform: scale(0.9);
	-moz-transform: scale(0.9);
	-webkit-transform: scale(0.9);
	}
.product-box{
	transform: scale(0.9) translate(-10px,0);
	-o-transform: scale(0.9) translate(-10px,0);
	-mz-transform: scale(0.9) translate(-10px,0);
	-webkit-transform: scale(0.9) translate(-10px,0);
	}
}
@media only screen and (max-width : 360px){
.bottom-button{
	bottom: 90px;
}

}
@media only screen and (max-width : 320px){
.bottom-button{
	bottom: 50px;
}
.iphone-content-box{
	width: 100%;
	height: 568px; 
}
.counter-box{
	width: 185px;
	left: -2%;
	top: -2%;
	position: absolute;
	z-index: 120;
	transform: scale(0.7);
	-o-transform: scale(0.7);
	-moz-transform: scale(0.7);
	-webkit-transform: scale(0.7);
}
.wied{
     -webkit-transform: scale(0.8);
     -moz-transform:scale(0.8);
     -o-transform:scale(0.8);
     transform:scale(0.8);		
}
.head-face-change{
	right: -2%;
	top: -2%;
	
}
.product-box{
	transform: scale(0.7) translate(-15px,0);
	-o-transform: scale(0.7) translate(-15px,0);
	-mz-transform: scale(0.7) translate(-15px,0);
	-webkit-transform: scale(0.7) translate(-15px,0);
	}
}





@media only screen and (max-width: 414px)
{
	.iphone-content-box 
	{
		height: 177.644vw;
	}
}









/* 測試20240226 */

@keyframes turn {
	0% {
		transform: translateZ(-174px) rotateX(0deg);
	}

	100% {
		transform: translateZ(-174px) rotateX(360deg);
	}
}

@keyframes down {
	0% {
		transform: translateY(0px) scale(1);
	}

	100% {
		transform: translateY(100px) scale(1.5);
	}
}
@keyframes down2{
	0% {
		height: 200px;
	}

	100% {
		height: 20px;
	}
}
.down{
	animation: down 1s;
}
.down2{
	animation: down2 1s;
}
.back {
	margin: 25% auto;
	width: 100%;
	height: 100%;
	/* background-color: #fa0; */
	display: flex;
	justify-content: center;
	align-items: center;
	position: relative;
	box-sizing: border-box;
	perspective: 400px;

}

.bar {
	position: absolute;
	height: 100%;
	width: 50%;
	right: 24.3%;
	top: 62%;
	cursor: pointer;
}

.holdbar {
	content: '';
	display: block;
	width: 20%;
	height: 50%;
	background-color: #ccc;
	position: absolute;
	bottom: 50%;
	left: 0;
	right: 0;
	margin: 0 auto;
	border-radius: 10px;
	/* animation: down2 1s; */


}

.hold {
	width: 2rem;
	height: 2rem;
	background-color: #faa;
	border-radius: 50%;
	position: absolute;
	left: 8.5%;
	top: -5%;
	/* box-shadow: 0 10px 10px 0 #333; */
	cursor: pointer;

}

/* .bar:hover .hold {
	transform: translateY(250px) scale(1.5);
	transition: 1s;
}

.bar:hover::before {
	height: 20px;
	transition: 1s;
} */

.hold::before {
	content: '';
	display: block;
	position: absolute;
	top: 5%;
	right: 0;
	left: 0;
	margin: 0 auto;
	border-radius: 60% 60% 50% 50%;
	width: 40%;
	height: 30%;
	background-image: linear-gradient(#fff 10%, transparent);
	/* background-color: gradient(); */
}

.see {
	display: flex;
	justify-content: center;
	align-items: center;
	width: 73%;
	height: 210px;
	overflow: hidden;
	position: relative;
	background-color: #0a9e48;
}

.flip {
	/* background-color: #fff; */
	width: 29%;
	height: 200px;
	position: relative;
	transform-style: preserve-3d;
	transform: translateZ(-174px) rotateX(0deg);
	margin: 0 1px;
	transition: .2s;
	/* animation: turn 2s linear infinite; */
	margin: 0;
	padding: 0;
	list-style: none;
	text-wrap: wrap;
	line-height: 2rem;
	display: flex;
    justify-content: center;
    align-items: center;
}

.a0 {
	transform: translateZ(-174px) rotateX(360deg)
}

.a1 {
	transform: translateZ(-174px) rotateX(60deg)
}

.a2 {
	transform: translateZ(-174px) rotateX(120deg)
}

.a3 {
	transform: translateZ(-174px) rotateX(180deg)
}

.a4 {
	transform: translateZ(-174px) rotateX(240deg)
}

.a5 {
	transform: translateZ(-174px) rotateX(300deg)
}

.box {
	text-align: center;
	position: absolute;
	backface-visibility: hidden;
	display: flex;
    justify-content: center;
    align-items: center;
	width: 88%;
	height: 100%;
	box-sizing: border-box;
	font-family: 'Noto Sans TC', sans-serif;
	font-weight: 500;
	font-size: 1.5rem;
	line-height: 1.8rem;
	color: #000;
	padding: 40%;
}

.b1 {
	transform: translateZ(172px);
	background-color: #FFD54D;
}

.b2 {
	transform-origin: top;
	transform: translateZ(172px) translateY(200px) rotateX(-60deg);
	background-color: #ccc;
}

.b3 {
	transform-origin: top;
	transform: rotateY(180deg) translateZ(172px) translateY(200px) rotateX(-60deg) rotateZ(180deg) translateY(-200px);
	
}

.b4 {
	transform: rotateY(180deg) translateZ(172px) rotateZ(180deg);
}

.b5 {
	transform-origin: bottom;
	transform: rotateY(180deg) translateZ(172px) translateY(-200px) rotateX(60deg) rotateZ(180deg) translateY(200px);
}

.b6 {
	transform-origin: bottom;
	transform: translateZ(172px) translateY(-200px) rotateX(60deg);
	background-color: #ccc;
}

@media only screen and (min-width: 320px) and (max-width: 353px){
	.box {
		font-size: 1.2rem;
		top:-6%;
		line-height: 1.5rem;
	}
	}
/* 音樂 */
.music button{
 position: absolute;
}
	
/* 遊戲前導動畫開始 */


.roulette
{
	position: absolute;
    top: 21.74%;
    left: 0%;
	width: 100%;
}


.roulette_in, .roulette_out, .roulette_text,  .roulette_paper, .lottery, .lottery_ticket, .lottery_btn, .final-step_ani, .fb_share_btn
{
	position: absolute;
    top: 0;
    left: 0;
}
.roulette_out img{
top: 18%;
}
.roulette_btn{
	position: absolute;
}
.machine{
	position: absolute;
    height: auto;
    width: 100%;
	left: 0%;
    top: 7%;
    cursor: pointer;
}

.bk-ground-ip img.roulette_btn
{
	max-width: 97px;
    width: 23.43%;
    left: 38.4%;
    top: 43.3424%;	
}


/* 輪盤掉落動畫 */
.game_in_ani
{
	animation: game_in_ani_down100 0.7s ease;
}

@keyframes game_in_ani_down100
{
	0%{
		opacity: 0;
		transform: translate(0px, -100%);
	}
	60%{
		opacity: 0;
		transform: translate(0px, -100%);
	}

	70%{
		transform: translate(0px, 0%);
	}

	80%{
		transform: translate(0px, -3%);
	}

	100%{
		opacity: 1;
		transform: translate(0px, 0px);
	}
}

.roulette_paper
{
	
}

.bk-ground-ip img.roulette_paper
{
	max-width: 77px;
    width: 18.6%;
    left: unset;
	right: 8.7%;
	top: 19.022%;
}

/* 抽獎按鈕跳動動畫 */
.roulette_btn_ani
{
	animation: scale_ani 0.5s ease infinite;
	cursor: pointer;
}

@keyframes scale_ani
{
	0%
	{		
		transform: scale(1);
	}

	50%
	{
		transform: scale(0.98);
	}

	100%
	{
		transform: scale(1);
	}
}

/* 測試20240315 copy btn */
  
  .copy-button {
	display: flex;
	justify-content: space-between;
	padding: 0 10px;
	align-items: center;
  }
  
  .copy-button {
	font-family: 'Noto Sans TC', sans-serif;
	margin: 0% 0%;
	height:auto;
	border-radius: 4px;
	padding: 0% 0%;
	border: 2px #FFBE04 solid;
	background-color: #FAF4D7;
	
  }
  
  .copy-button input {
	width: 100%;
	height: 100%;
	border: none;
	outline: none;
	font-size: 1.5rem;
	font-family: 'Noto Sans TC', sans-serif;
	font-weight: 500;
	background-color: #FAF4D7;
  }
  
  .copy-button button {
	font-size: 1.2rem;
	font-family: 'Noto Sans TC', sans-serif;
	font-weight: 500;
	padding: 2% 8%;
	background-color: #FFBE04;
	color: #fff;
	border: 1px solid transparent;
  }




/* 輪盤轉動動畫 */
.roulette_in 
{
	top:0.5%;
	transform: rotate(0deg);
	transition: 5s;
}

.roulette_in.rotate_ani
{
	transform: rotate(3030deg);
}




/* 遊戲前導動畫結束 */







/* 抽獎結果畫面 */

.lottery_text
{
	font-size: 35px;
    display: block;
    position: absolute;
    top: 72.5%;
    left: 50%;
    transform: translateX(-50%);
    color: #3A1E1A;
    font-family: "微軟正黑體";
    font-weight: 600;
}

@media only screen and (max-width: 414px)
{
	.lottery_text
	{
		font-size: 8.5vw;
	}
}

.lottery_ticket:nth-child(2) .lottery_text, .lottery_ticket:nth-child(3) .lottery_text
{
	top: 71%;
}

.lottery_ticket:nth-child(4) .lottery_text, .lottery_ticket:nth-child(5) .lottery_text, .lottery_ticket:nth-child(6) .lottery_text
{
	top: 68%;
}

.lottery_ticket
{
	display: none;
}

.lottery_ticket_ani
{
	animation: opacity_ani 0.5s ease;
	display: block;
}

.bk-ground-ip img.lottery_btn
{
	max-width: 140px;
	width: 55%;
	left: 32.7%;
	top: 65%;
	animation: opacity_ani 2s ease;
}
@media only screen and (min-width: 320px) and (max-width: 353px){
	.bk-ground-ip img.lottery_btn
	{
		left: 28.7%;
	}
}
@keyframes opacity_ani
{
	0%
	{		
		opacity: 0;
	}

	60%
	{
		opacity: 0;
	}

	100%
	{
		opacity: 1;
	}
}




/* FB分享 */
.final-step_ani
{
	animation: game_in_ani_down15px 3.5s ease;
}

.bk-ground-ip .final_btn
{
	top: 83.56%;
	left: 26.1%;
	max-width: 200px;
	width: 48.31%;
	animation: game_in_ani_down15px 6s ease;
}

@keyframes game_in_ani_down15px
{
	0%{
		opacity: 0;
		transform: translate(0px, -15px);
	}
	60%{
		opacity: 0;
		transform: translate(0px, -15px);
	}

	100%{
		opacity: 1;
		transform: translate(0px, 0px);
	}
}



.like-box
{
	position: absolute;
    top: 23.5%;
    right: 6%;
}

.fb-like
{
	z-index: 40;
}




/* 遊戲前導動畫 */

.light, .room, .before_table, .rabbit, .tea_all ,.page, .food, .moonlight, .tea_choose_text, .tea_choose_final, .tea_choose_btn, .ticket_light, .ticket, .next_step_btn, .fb_share_bg
{
	position: absolute;
    top: 0;
    left: 0;
}

.black
{
	display: block;
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
    background-color: rgba(0,0,0,0.9);
}

.tea_all
{
	top: 21.331522%;
	width: 100%;
    text-align: center;
}

.bk-ground-ip .tea_all img
{
	max-width: 170px;
	width: 41.0628%;
	cursor: pointer; 
}

.tea_margin_right
{
	margin-right: 3.865%;	
}

.tea_margin_bottom
{
	margin-bottom: 9.5012%;
}

.page
{
	width: 100%;
    top: 89%;
}

.bk-ground-ip .page_text
{
	width: 15.459%;
	max-width: 64px;
	position: absolute;
	left: 42.27%;
	padding-top: 0.6%;
}

.bk-ground-ip .page_btn
{
	width: 9.179%;
    max-width: 38px;
    position: absolute;
}

.bk-ground-ip .next_btn
{
    left: 66.1836%;
}

.bk-ground-ip .prev_btn
{
    left: 24.68116%;
}

.game_in_ani_light
{
	animation: game_in_ani_down30 2s ease;
}

.game_in_ani_table
{
	animation: game_in_ani_right 3.5s ease;
}

.game_in_ani_rabbit
{
	animation: game_in_ani_up 4.2s ease;
}

.game_in_ani_black
{
	animation: game_in_ani_opacity 6.8s ease;
}

.game_in_ani_tea
{
	animation: game_in_ani_down15px 7s ease;
}





/* 茶葉選擇動畫 */

.purple
{
	display: block;
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
	background-color: #5E2D38;
	z-index: 999;
}

.tea_choose_ani_table
{
	animation: game_in_ani_up15px 1s ease;
}

.tea_choose_ani_food
{
	animation: game_in_ani_up15px 2.3s ease;
}

.tea_choose_ani_moonlight
{
	animation: game_in_ani_left 3.5s ease;
}

.tea_choose_ani_text
{
	animation: game_in_ani_down15px 5.8s ease;
}



/* 測驗結果 */

.tea_choose_final
{
	animation: game_in_ani_down15px 3.5s ease;
}

.bk-ground-ip .tea_choose_btn
{
	left: 26.57%;
	top: 82.07%;
	max-width: 200px;
	width: 48.31%;
	animation: game_in_ani_down15px 6.5s ease;
}

.bk-ground-ip .text_less
{
	top: 78.80435%;
}

.bk-ground-ip .text_more
{
	top: 85.462%;
}





/* 優惠票劵 */

.ticket_light
{
	animation: game_in_ani_opacity 3s ease;
}

.ticket
{
	animation: game_in_ani_down15px 4.5s ease;
}

.bk-ground-ip .ticket_btn
{
	animation: game_in_ani_down15px 7.5s ease;
}



/* 最後一步-活動獎品 */

.bk-ground-ip .next_step_btn
{
	top: 73.37%;
	left: 33.33333333%;
	max-width: 143px;
	width: 34.5411%;
	animation: game_in_ani_down15px 7.5s ease;
}



/* fb分享測驗結果 */

.fb_share
{
	animation: game_in_ani_down15px 4.5s ease;
	z-index: 999;
    position: relative;
}

/* .bk-ground-ip .fb_share_btn
{
	width: 56.52174%;
    animation: game_in_ani_down15px 7.5s ease;
    z-index: 999;
    position: relative;
    display: block;
    text-align: center;
    margin: 4% auto 0px;
} */

/* .bk-ground-ip .fb_share_btn img
{
	max-width: 234px;
	width: 100%;
} */



@keyframes game_in_ani_down30
{
	0%{
		opacity: 0;
		transform: translate(0px, -30px);
	}
	30%{
		opacity: 0;
		transform: translate(0px, -30px);
	}

	100%{
		opacity: 1;
		transform: translate(0px, 0px);
	}
}

@keyframes game_in_ani_down15px
{
	0%{
		opacity: 0;
		transform: translate(0px, -15px);
	}
	60%{
		opacity: 0;
		transform: translate(0px, -15px);
	}

	100%{
		opacity: 1;
		transform: translate(0px, 0px);
	}
}



@keyframes game_in_ani_right
{
	0%{
		opacity: 0;
		transform: translate(30px, 0px);
	}
	40%{
		opacity: 0;
		transform: translate(30px, 0px);
	}

	100%{
		opacity: 1;
		transform: translate(0px, 0px);
	}
}

@keyframes game_in_ani_left
{
	0%{
		opacity: 0;
		transform: translate(-30px, 0px);
	}
	40%{
		opacity: 0;
		transform: translate(-30px, 0px);
	}

	100%{
		opacity: 1;
		transform: translate(0px, 0px);
	}
}

@keyframes game_in_ani_up15px
{
	0%{
		opacity: 0;
		transform: translate(0px, 15px);
	}

	30%{
		opacity: 0;
		transform: translate(0px, 15px);
	}

	100%{
		opacity: 1;
		transform: translate(0px, 0px);
	}
}


@keyframes game_in_ani_up
{
	0%{
		opacity: 0;
		transform: translate(0px, 30px);
	}
	60%{
		opacity: 0;
		transform: translate(0px, 30px);
	}

	100%{
		opacity: 1;
		transform: translate(0px, 0px);
	}
}


@keyframes game_in_ani_opacity
{
	0%{
		opacity: 0;
	}
	60%{
		opacity: 0;
	}

	100%{
		opacity: 1;
	}
}








